/* $Id: kprintf.h,v 1.3 2002/08/23 20:23:50 ken Exp $
	silly test for using/understanding varargs.
	originally started from manpage for varargs
	then turned into a homegrown printf, then ported to avr
*/
#ifndef KPRINTF_H
#define KPRINTF_H

#include <progmem.h>
#include "uart.h"

#define MAXDIGITS 10
#define XDIGITS 8
#define SMALLXDIGITS 4
#define HEX 16
#define DEC 10
#define OCT 8

#ifndef NULL
#define NULL 0L
#endif

typedef enum { UNSIGNED, SIGNED } signtype;



int
_kprintf(char * fmt, ...);

#define kprintf(format, args...)   _kprintf(PSTR(format) , ## args)



#endif /* KPRINTF_H */

/* EOF */
